Skip to content

AgentOwnersController_add

POST
/api/agents/registrations/{id}/owners/add
curl --request POST \
--url https://api.streams.chat/api/agents/registrations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/owners/add \
--header 'Content-Type: application/json' \
--data '{ "userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "expectedRevision": 1, "requestId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "surface": "agents_page" }'
id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
Media typeapplication/json
object
userId
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
expectedRevision
required
integer
<= 9007199254740991
requestId
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
surface
required
string
Allowed values: agents_page admin